body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    font-family: roboto;
    font-size: 40px;
    /* border: 1px solid #5500FF; */
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    border-radius: 1px;
    transition: all 0.3s;
}

a::before,
a::after
{
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #5500FF;
    z-index: -2;
    transition: all 0.3s;
    opacity: 0;
}

a::before{
    left: 0;
    box-shadow: -80px 0 0 #5500FF;
}
a::after{
    right: 0;
    box-shadow: 80px 0 0 #5500FF;
}

a:hover::before{
    left: 50%;
    box-shadow: 20px 0 0 #5500FF;
    opacity: 1;
}
a:hover::after{
    right: 50%;
    box-shadow: -20px 0 0 #5500FF;
    opacity: 1;
}



a span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #5500FF;
    border-radius: 8px;
    transform: scale(0);
    z-index: -1;
    transition: all 0.3s;
}

a:hover span{
    transform: scale(1);
    transition-delay: 0.3s;
}

a:hover{
    color: #111;
    transition-delay: 0.3s;
}